/*:
# Swift Standard Library

The Swift standard library implements the basic data types, algorithms, and protocols you use to write apps in Swift. It includes high-performance fundamental data types such as `String` and `Array`, along with generic algorithms such as `sort()` and `filter(_:)`. Powerful protocols that describe shared traits and behaviors define reusable building blocks for higher level types. Classes in the Foundation framework with standard library counterparts–such as `NSArray` and `Array`–are bridged. When you work with Objective-C frameworks, your Swift code gains the performance improvements and flexibility of the Swift standard library.

On each page of this playground, you will experiment with Swift standard library types and high-level concepts using visualizations and practical examples. You will also learn how the Swift standard library uses protocols and generics to express powerful constraints.

- [Text](Text)
  - [Indexing and Slicing Strings](Indexing%20and%20Slicing%20Strings)
  - [Customizing Textual Representations](Customizing%20Textual%20Representations)
- [Sequences and Collections](Sequences%20and%20Collections)
  - [Understanding Value Semantics](Understanding%20Value%20Semantics)
  - [Processing Sequences and Collections](Processing%20Sequences%20and%20Collections)
  - [Slicing Collections](Slicing%20Collections)
  - [Understanding Collection Protocols](Understanding%20Collection%20Protocols)
  - [Creating a Generic Collection](Creating%20a%20Generic%20Collection)
- [Revision History](Revision%20History)
- [License](License)
****
[Next](@next)
*/
